import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSMeasurement } from "../Foundation/NSMeasurement.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { SRElectrocardiogramDataFlags } from "./SRElectrocardiogramDataFlags.js";
export declare class _SRElectrocardiogramData extends _NSObject {
    static alloc(): _SRElectrocardiogramData;
    static new(): _SRElectrocardiogramData;
    init(): _SRElectrocardiogramData;
    flags(): SRElectrocardiogramDataFlags;
    /** @property value @brief Value of the ECG AC data in microvolts */
    value(): _NSMeasurement;
}
export interface _SRElectrocardiogramData extends _NSCopying, _NSSecureCoding {
}
